Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

PointCloud Class

Initializes a new instance of the PointCloud class.
Inheritance Hierarchy
SystemObject
  Tekla.Structures.ModelPointCloud

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2019.0.0.0 (2019.0.0.0)
Syntax
[SerializableAttribute]
public sealed class PointCloud

The PointCloud type exposes the following members.

Constructors
  Name Description
Public method PointCloud
Creates a new point cloud instance using the given parameters.
Top
Properties
  Name Description
Public property BoundingBox
Gets or sets the bounding box.
Public property Guid
Gets or sets the guid.
Public property LocationBy
Gets or sets the location by value: Empty for model origin, base point guid for base point.
Public property Name
Gets or sets the point clouds name. Abbreviated from the point cloud file name. Cannot be given by user.
Public property OriginalPath
Gets or sets the point clouds path (where it originally located).
Public property Scale
Gets or sets the scale.
Public property Url
Gets or sets the point clouds URL without a file name.
Top
Methods
  Name Description
Public method Attach
Attach this point cloud to model. Can select only Potree type point clouds immediately after attach. Others need to be selected manually after attach has been completed. Use AttachComplete() to find out, if attach process has completed.
Public method AttachComplete
Checks if the point cloud attach is complete. Needed when attaching non-Potree point cloud file, which needs conversion.
Public method Detach
Detach this point cloud from model.
Public methodStatic member GetPointClouds
Utility function: Gets available point clouds.
Public method GetVisibleInViews
Gets the views in which this point cloud is visible.
Public method Select
Select point cloud by Guid, by Name, by OriginalPath or by Url.
Public method SetVisibility
Set point cloud visibility in given views.
Top
See Also